Subject: Re: [renum] I-D Action:draft-jiang-ipv6-site-renum-guideline-00.txt

From: Tim Chown <[email-masked]>
Date: Sat, 19 Mar 2011 23:51:08 +0000

On 19 Feb 2011, at 21:32, Brian E Carpenter wrote:

> You don't mention draft-chown-v6ops-renumber-thinkabout. Although
> it expired several years ago, I think it is still a valuable source.
> (I think there was also a 6net report on site renumbering, too.)

The 6NET report is http://www.6net.org/publications/deliverables/D3.6.2.pdf.

This was a run of RFC4192 on a real production dual-stacl enterprise, renumbering the IPv6 space.   It's now 5 years old, but the good news is that the 'on the wire' parts worked pretty smoothly even back then.   Of course other parts didn't, and it was surprising how many places we dug out literals, as reported in the thinkabout draft that Brian cited.   It was a wholly RA-based renumbering exercise though, no DHCPv6 clients in use (with reference to Sheng's conflict draft).

> RFC 4192 is listed as a reference, but there is no discussion
> in the text. I think it would be useful to discuss which aspects
> of the procedure in 4192 need extra work.

One of the things we didn't do in 6NET that was - at least at the time - considered possible was use of ULAs to provide stable addressing through the renumbering event.   And still now I don't know of a single enterprise running ULAs alongside globals for that purpose, but there is some renewed talk now of use of ULAs for multi-subnet SOHO networks.

Tim